Subject: Re: [PATCH] uapi: fix another asm/shmbuf.h userspace compilation error

From: James Hogan <[email-masked]>
Date: Fri, 4 Aug 2017 16:22:04 +0100

On Thu, Mar 02, 2017 at 02:07:20PM +0100, Arnd Bergmann wrote:
> On Thu, Mar 2, 2017 at 1:46 AM, Dmitry V. Levin <[email-masked]> wrote:
> > Replace size_t with __kernel_size_t to fix asm/shmbuf.h userspace
> > compilation errors like this:
> >
> > /usr/include/asm-generic/shmbuf.h:28:2: error: unknown type name 'size_t'
> >   size_t   shm_segsz; /* size of segment (bytes) */
> >
> > x32 is the only architecture where sizeof(size_t) is less than
> > sizeof(__kernel_size_t), but as the kernel treats shm_segsz field as
> > __kernel_size_t anyway, UAPI should follow.  Thanks to little-endiannes
> > of x32 and 64-bit alignment of the field following shm_segsz, this
> > change doesn't break ABI, and the difference doesn't manifest itself
> > easily.
> >
> > Signed-off-by: Dmitry V. Levin <[email-masked]>
> 
> Acked-by: Arnd Bergmann <[email-masked]>

Out of interest, is there a plan for merging these patches from Dmitry?

Cheers
James